| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - o -

- offset : boost::locale::boundary::break_info
- operator iterator_type() : boost::locale::boundary::boundary_point< IteratorType >
- operator std::basic_string< char_type, T, A >() : boost::locale::boundary::segment< IteratorType >
- operator string_type() : boost::locale::basic_message< CharType >
- operator!=() : boost::locale::gnu_gettext::messages_info::domain , boost::locale::boundary::boundary_point< IteratorType > , boost::locale::calendar , boost::locale::boundary::boundary_point< IteratorType > , boost::locale::boundary::segment< IteratorType > , boost::locale::date_time , boost::locale::period::period_type
- operator%() : boost::locale::basic_format< CharType >
- operator()() : boost::locale::comparator< CharType, default_level > , boost::locale::generator
- operator*() : boost::locale::hold_ptr< T >
- operator+() : boost::locale::date_time_period , boost::locale::date_time
- operator+=() : boost::locale::date_time
- operator-() : boost::locale::date_time_period , boost::locale::date_time
- operator-=() : boost::locale::date_time
- operator->() : boost::locale::hold_ptr< T >
- operator/() : boost::locale::date_time , boost::locale::date_time_duration
- operator<() : boost::locale::date_time , boost::locale::boundary::break_info
- operator<<() : boost::locale::date_time
- operator<<=() : boost::locale::date_time
- operator<=() : boost::locale::date_time
- operator=() : boost::locale::date_time , boost::locale::localization_backend_manager , boost::locale::calendar , boost::locale::date_time , boost::locale::boundary::boundary_point_index< BaseIterator > , boost::locale::basic_message< CharType > , boost::locale::boundary::segment_index< BaseIterator >
- operator==() : boost::locale::calendar , boost::locale::date_time , boost::locale::period::period_type , boost::locale::gnu_gettext::messages_info::domain , boost::locale::boundary::boundary_point< IteratorType > , boost::locale::boundary::segment< IteratorType > , boost::locale::boundary::boundary_point< IteratorType >
- operator>() : boost::locale::date_time
- operator>=() : boost::locale::date_time
- operator>>() : boost::locale::date_time
- operator>>=() : boost::locale::date_time
- operator[]() : boost::locale::date_time_period_set